PGARandomFlip(5)

NAME
PGARandomFlip - flip a biased coin and return PGA_TRUE if the coin is a "winner."

DESCRIPTION
Otherwise, return PGA_FALSE.

INPUT PARAMETERS
ctx - context variable
p   - biased probability (.5 is a fair coin)

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
int  PGARandomFlip(ctx, p)
PGAContext *ctx
double p

LOCATION
random.c

EXAMPLE
Example:
To return PGA_TRUE approximately seventy percent of the time, use

PGAContext *ctx;
int p;
:
PGARandomFlip(ctx, 0.7)